## golang-github-evanw-esbuild 0.17.0

=== Makefile ===
ESBUILD_VERSION = $(shell cat version.txt)

# Strip debug info
GO_FLAGS += "-ldflags=-s -w"

# Avoid embedding the build path in the executable for more reproducible builds
GO_FLAGS += -trimpath

esbuild: version-go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild

test:
	@$(MAKE) --no-print-directory -j6 test-common

# These tests are for development
test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests

# These tests are for release (the extra tests are not included in "test" because they are pretty slow)
test-all:
	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp

check-go-version:
	@go version | grep ' go1\.19\.4 ' || (echo 'Please install Go version 1.19.4' && false)

# Note: Don't add "-race" here by default. The Go race detector is currently
# only supported on the following configurations:
#
#   darwin/amd64
#   darwin/arm64
#   freebsd/amd64,
#   linux/amd64
#   linux/arm64
#   linux/ppc64le
#   netbsd/amd64
#   windows/amd64
#
# Also, it isn't necessarily supported on older OS versions even if the OS/CPU
# combination is supported, such as on macOS 10.9. If you want to test using
# the race detector, you can manually add it using the ESBUILD_RACE environment
# variable like this: "ESBUILD_RACE=-race make test". Or you can permanently
# enable it by adding "export ESBUILD_RACE=-race" to your shell profile.
test-go:
	go test $(ESBUILD_RACE) ./internal/...

vet-go:
	go vet ./cmd/... ./internal/... ./pkg/...

fmt-go:
	test -z "$(shell go fmt ./cmd/... ./internal/... ./pkg/... )"

no-filepath:
	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)

# This uses "env -i" to run in a clean environment with no environment
# variables. It then adds some environment variables back as needed.
# This is a hack to avoid a problem with the WebAssembly support in Go
# 1.17.2, which will crash when run in an environment with over 4096
# bytes of environment variable data such as GitHub Actions.
test-wasm-node: esbuild
	env -i $(shell go env) PATH="$(shell go env GOROOT)/misc/wasm:$(PATH)" GOOS=js GOARCH=wasm go test ./internal/...
	node scripts/wasm-tests.js

test-wasm-browser: platform-wasm | scripts/browser/node_modules
	cd scripts/browser && node browser-tests.js

test-deno: esbuild platform-deno
	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
	@echo '✅ deno tests passed' # I couldn't find a Deno API for telling when tests have failed, so I'm doing this here instead
	deno eval 'import { transform, stop } from "file://$(shell pwd)/deno/mod.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"
	deno eval 'import { transform, stop } from "file://$(shell pwd)/deno/wasm.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"

test-deno-windows: esbuild platform-deno
	ESBUILD_BINARY_PATH=./esbuild.exe deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js

register-test: version-go | scripts/node_modules
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/register-test.js

verify-source-map: version-go | scripts/node_modules
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/verify-source-map.js

end-to-end-tests: version-go
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/end-to-end-tests.js

js-api-tests: version-go
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/js-api-tests.js

plugin-tests: version-go
	node scripts/plugin-tests.js

ts-type-tests: | scripts/node_modules
	node scripts/ts-type-tests.js

require/old-ts/node_modules:
	cd require/old-ts && npm ci

test-old-ts: platform-neutral | require/old-ts/node_modules
	rm -fr scripts/.test-old-ts && mkdir scripts/.test-old-ts
	cp `find npm/esbuild -name '*.d.ts'` scripts/.test-old-ts
	cd scripts/.test-old-ts && ../../require/old-ts/node_modules/.bin/tsc *.d.ts
	rm -fr scripts/.test-old-ts

node-unref-tests: | scripts/node_modules
	node scripts/node-unref-tests.js

lib-typecheck: | lib/node_modules
	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig.json
	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig-deno.json

# End-to-end tests
test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn-berry test-e2e-deno

test-e2e-npm:
	# Test normal install
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without scripts
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i --ignore-scripts esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without optional dependencies
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i --no-optional esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Clean up
	rm -fr e2e-npm

test-e2e-pnpm:
	# Test normal install
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without scripts
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i --ignore-scripts esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without optional dependencies
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i --no-optional esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Clean up
	rm -fr e2e-pnpm

test-e2e-yarn-berry:
	# Test normal install
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Test install without scripts
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && echo 'enableScripts: false' > .yarnrc.yml && yarn set version berry && yarn add esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Test install without optional dependencies
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add --no-optional esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Clean up
	rm -fr e2e-yb

test-e2e-deno:
	deno eval 'import { transform, stop } from "https://deno.land/x/esbuild@v$(ESBUILD_VERSION)/mod.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"
	deno eval 'import { transform, stop } from "https://deno.land/x/esbuild@v$(ESBUILD_VERSION)/wasm.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"

test-yarnpnp: platform-wasm
	node scripts/test-yarnpnp.js

# Note: This used to only be rebuilt when "version.txt" was newer than
# "cmd/esbuild/version.go", but that caused the publishing script to publish
# invalid builds in the case when the publishing script failed once, the change
# to "cmd/esbuild/version.go" was reverted, and then the publishing script was
# run again, since in that case "cmd/esbuild/version.go" has a later mtime than
# "version.txt" but is still outdated.
#
# To avoid this problem, we now always run this step regardless of mtime status.
# This step still avoids writing to "cmd/esbuild/version.go" if it already has
# the correct contents, so it won't unnecessarily invalidate anything that uses
# "cmd/esbuild/version.go" as a dependency.
version-go:
	node scripts/esbuild.js --update-version-go

platform-all:
	@$(MAKE) --no-print-directory -j4 \
		platform-android-arm \

=== debian/changelog ===
golang-github-evanw-esbuild (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Update esbuild(1) man page to 0.17.0
  * Rename internal/bundler/snapshots to internal/bundler_tests/snapshots
    since v0.16.8; see upstream commit 24f361e192cdc89fe2529a96c32a039a2e59b7fc
  * Adapt to upstream Node.js package name changes since v0.16.0
    e.g. esbuild-linux-64 => @esbuild/linux-x64;
    see commit 157860b4f12dd9c69b60f7ed25387369acc4a2c1
  * Add debian/esbuild.docs to install README.md and CHANGELOG*.md files

 -- Anthony Fok <foka@debian.org>  Fri, 27 Jan 2023 02:40:46 -0700

=== debian/control ===
Source: golang-github-evanw-esbuild
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.13~),
               golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
               golang-src,
Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
                    npm [!armel !hurd-i386 !powerpc],
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
Homepage: https://github.com/evanw/esbuild
XS-Go-Import-Path: github.com/evanw/esbuild

Package: golang-github-evanw-esbuild-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
         ${misc:Depends}
Description: extremely fast JavaScript bundler and minifier (library)
 esbuild is a JavaScript bundler and minifier.  It packages up
 JavaScript and TypeScript code for distribution on the web.
 .
 Why build another JavaScript build tool?  The current build tools for the web
 are at least an order of magnitude slower than they should be.  It is hoped
 that this project serves as an "existence proof" that JavaScript tooling
 can be much, much faster.
 .
 This package contains the github.com/evanw/esbuild Go library.

Package: esbuild
Architecture: any
Section: javascript
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: nodejs [!armel !hurd-i386 !powerpc]
Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
          ${nodejs:Provides}
Static-Built-Using: ${misc:Static-Built-Using}
Built-Using: ${misc:Built-Using}
Description: extremely fast JavaScript bundler and minifier (program)
 esbuild is a JavaScript bundler and minifier.  It packages up
 JavaScript and TypeScript code for distribution on the web.
 .
 Why build another JavaScript build tool?  The current build tools for the web
 are at least an order of magnitude slower than they should be.  It is hoped
 that this project serves as an "existence proof" that JavaScript tooling
 can be much, much faster.
 .
 This package contains the esbuild binary.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_GOLANG_INSTALL_EXTRA := \
	internal/bundler_tests/snapshots \
	internal/resolver/testExpectations.json

# The Node.js magic was contributed by Yadd <yadd@debian.org> in Dec 2021;
# see commit d7a16741f9df8c71f17a1ccdc3babbaa5505fdf5 for more information.

export NPM_DIR := $(shell perl -e '\
  my %mapping = ( \
      amd64 => "x64", i386 => "ia32", \
      arm64 => "arm64", armhf => "arm", \
      mips64el => "mips64el", \
      ppc64el => "ppc64", \
      riscv64 => "riscv64", \
      s390x => "s390x", \
  ); \
  print defined($$arch = $$mapping{$(DEB_HOST_ARCH)}) ? "\@esbuild/linux-$$arch" : ""; \
')

NODE_ESBUILD_PROVIDES := node-$(shell echo '$(NPM_DIR)' | sed -e 's/^@//; s/\//-/;')

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifneq ($(shell command -v node),)
execute_after_dh_auto_build-arch:
	ln -sf _build/bin/esbuild .
	# Generate npm/esbuild/*
	node scripts/esbuild.js ./esbuild --neutral
	# Generate npm/esbuild-wasm/*
	# See also set_go_env sub in dh-golang
	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build GO111MODULE=off GOPROXY=off \
	    node scripts/esbuild.js ./esbuild --wasm

execute_after_dh_auto_test-arch:
	node -e 'require("./npm/esbuild")'
endif

ifneq ($(NPM_DIR),)
execute_after_dh_install-arch:
	install -d debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/@esbuild
	cp -a npm/$(NPM_DIR) debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/@esbuild/
	find debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/ -name '*.md' -delete || true

override_dh_link-arch:
	dh_link --package=esbuild usr/bin/esbuild \
	    usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/$(NPM_DIR)/bin/esbuild

override_dh_gencontrol-arch:
	dh_gencontrol -- -Vnodejs:Provides="$(NODE_ESBUILD_PROVIDES)"
endif

## golang-github-evanw-esbuild 0.17.19

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.19\.4 ' || (echo 'Please install Go version 1.19.4' && false)
+	@go version | grep ' go1\.20\.4 ' || (echo 'Please install Go version 1.20.4' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -40,7 +40,7 @@
 # variable like this: "ESBUILD_RACE=-race make test". Or you can permanently
 # enable it by adding "export ESBUILD_RACE=-race" to your shell profile.
 test-go:
-	go test $(ESBUILD_RACE) ./internal/...
+	go test $(ESBUILD_RACE) ./internal/... ./pkg/...
 
 vet-go:
 	go vet ./cmd/... ./internal/... ./pkg/...
@@ -107,9 +107,16 @@
 node-unref-tests: | scripts/node_modules
 	node scripts/node-unref-tests.js
 
-lib-typecheck: | lib/node_modules
+lib-typecheck: lib-typecheck-node lib-typecheck-deno
+
+lib-typecheck-node: | lib/node_modules
 	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig.json
+
+lib-typecheck-deno: lib/deno/lib.deno.d.ts | lib/node_modules
 	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig-deno.json
+
+lib/deno/lib.deno.d.ts:
+	deno types > lib/deno/lib.deno.d.ts
 
 # End-to-end tests
 test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn-berry test-e2e-deno
@@ -232,11 +239,3 @@
 #
 # To avoid this problem, we now always run this step regardless of mtime status.
 # This step still avoids writing to "cmd/esbuild/version.go" if it already has
-# the correct contents, so it won't unnecessarily invalidate anything that uses
-# "cmd/esbuild/version.go" as a dependency.
-version-go:
-	node scripts/esbuild.js --update-version-go
-
-platform-all:
-	@$(MAKE) --no-print-directory -j4 \
-		platform-android-arm \

=== debian/changelog ===
golang-github-evanw-esbuild (0.17.19-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:47:09 +0530

golang-github-evanw-esbuild (0.17.19-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:10 +1200

golang-github-evanw-esbuild (0.17.19-1) unstable; urgency=medium

  * New upstream version 0.17.19
  * Update esbuild(1) man page to 0.17.19

 -- Anthony Fok <foka@debian.org>  Sun, 18 Jun 2023 00:14:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),

## golang-github-evanw-esbuild 0.19.3

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.20\.4 ' || (echo 'Please install Go version 1.20.4' && false)
+	@go version | grep ' go1\.20\.7 ' || (echo 'Please install Go version 1.20.7' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -119,7 +119,7 @@
 	deno types > lib/deno/lib.deno.d.ts
 
 # End-to-end tests
-test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn-berry test-e2e-deno
+test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn test-e2e-yarn-berry test-e2e-deno
 
 test-e2e-npm:
 	# Test normal install
@@ -189,6 +189,31 @@
 	# Clean up
 	rm -fr e2e-pnpm
 
+test-e2e-yarn:
+	# Test normal install
+	rm -fr e2e-yarn && mkdir e2e-yarn && cd e2e-yarn && echo {} > package.json && touch yarn.lock && yarn set version classic && yarn add esbuild
+	cd e2e-yarn && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
+	# Test CI reinstall
+	cd e2e-yarn && rm -fr node_modules && yarn install --immutable
+	cd e2e-yarn && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
+
+	# Test install without scripts
+	rm -fr e2e-yarn && mkdir e2e-yarn && cd e2e-yarn && echo {} > package.json && touch yarn.lock && echo 'enableScripts: false' > .yarnrc.yml && yarn set version classic && yarn add esbuild
+	cd e2e-yarn && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
+	# Test CI reinstall
+	cd e2e-yarn && rm -fr node_modules && yarn install --immutable
+	cd e2e-yarn && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
+
+	# Test install without optional dependencies
+	rm -fr e2e-yarn && mkdir e2e-yarn && cd e2e-yarn && echo {} > package.json && touch yarn.lock && yarn set version classic && yarn add esbuild
+	cd e2e-yarn && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
+	# Test CI reinstall
+	cd e2e-yarn && rm -fr node_modules && yarn install --immutable --ignore-optional
+	cd e2e-yarn && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
+
+	# Clean up
+	rm -fr e2e-yarn
+
 test-e2e-yarn-berry:
 	# Test normal install
 	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add esbuild
@@ -211,31 +236,3 @@
 	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
 
 	# Test install without optional dependencies
-	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add --no-optional esbuild
-	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
-	# Test CI reinstall
-	cd e2e-yb && yarn install --immutable
-	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
-	# Test rebuild
-	cd e2e-yb && yarn rebuild && yarn rebuild
-	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
-
-	# Clean up
-	rm -fr e2e-yb
-
-test-e2e-deno:
-	deno eval 'import { transform, stop } from "https://deno.land/x/esbuild@v$(ESBUILD_VERSION)/mod.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"
-	deno eval 'import { transform, stop } from "https://deno.land/x/esbuild@v$(ESBUILD_VERSION)/wasm.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"
-
-test-yarnpnp: platform-wasm
-	node scripts/test-yarnpnp.js
-
-# Note: This used to only be rebuilt when "version.txt" was newer than
-# "cmd/esbuild/version.go", but that caused the publishing script to publish
-# invalid builds in the case when the publishing script failed once, the change
-# to "cmd/esbuild/version.go" was reverted, and then the publishing script was
-# run again, since in that case "cmd/esbuild/version.go" has a later mtime than
-# "version.txt" but is still outdated.
-#
-# To avoid this problem, we now always run this step regardless of mtime status.
-# This step still avoids writing to "cmd/esbuild/version.go" if it already has

## golang-github-evanw-esbuild 0.19.5

=== debian/changelog ===
golang-github-evanw-esbuild (0.19.5-1) unstable; urgency=medium

  * New upstream version 0.19.5
  * Update esbuild(1) man page to 0.19.5

 -- Anthony Fok <foka@debian.org>  Sun, 05 Nov 2023 20:14:07 -0700

golang-github-evanw-esbuild (0.19.3-1) unstable; urgency=medium

  * New upstream version 0.19.3
  * Update esbuild(1) man page to 0.19.3

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 10:24:30 -0600

golang-github-evanw-esbuild (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2
  * Update esbuild(1) man page to 0.19.2

 -- Anthony Fok <foka@debian.org>  Tue, 10 Oct 2023 13:18:55 -0600

golang-github-evanw-esbuild (0.18.17-1) unstable; urgency=medium

  * New upstream version 0.18.17
  * Update esbuild(1) man page to 0.18.17

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 08:16:36 -0600

golang-github-evanw-esbuild (0.18.11-1) unstable; urgency=medium

  * New upstream version 0.18.11
  * Update esbuild(1) man page to 0.18.11

 -- Anthony Fok <foka@debian.org>  Fri, 22 Sep 2023 09:05:56 -0600

golang-github-evanw-esbuild (0.18.5-1) unstable; urgency=medium

  * New upstream version 0.18.5
  * Update esbuild(1) man page to 0.18.5

 -- Anthony Fok <foka@debian.org>  Thu, 21 Sep 2023 01:25:02 -0600

## golang-github-evanw-esbuild 0.19.8

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.20\.7 ' || (echo 'Please install Go version 1.20.7' && false)
+	@go version | grep ' go1\.20\.10 ' || (echo 'Please install Go version 1.20.10' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

=== debian/changelog ===
golang-github-evanw-esbuild (0.19.8-1) unstable; urgency=medium

  [ Yadd ]
  * Update debian/clean
  * Unfuzz debian/patches/0001-build-wasm-in-GOPATH-mode.patch
  * Build node-esbuild on armel (Closes: #1042455)

  [ Anthony Fok ]
  * New upstream version 0.19.8
  * Update esbuild(1) man page to 0.19.8
  * Update debian/patches/0002-add-armel-arch.patch for 0.19.8

 -- Anthony Fok <foka@debian.org>  Sat, 09 Dec 2023 02:10:53 -0700

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \
       amd64 => "x64", i386 => "ia32", \
-      arm64 => "arm64", armhf => "arm", \
+      arm64 => "arm64", armhf => "arm", armel => "armel", \
       mips64el => "mips64el", \
       ppc64el => "ppc64", \
       riscv64 => "riscv64", \

## golang-github-evanw-esbuild 0.20.1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.20\.10 ' || (echo 'Please install Go version 1.20.10' && false)
+	@go version | grep ' go1\.20\.12 ' || (echo 'Please install Go version 1.20.12' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

=== debian/changelog ===
golang-github-evanw-esbuild (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
  * Remove 0002-TestGradient-hsl-longer-hue-on-ppc64le-s390x.patch
    as upstream has a much better, complete and proper fix
  * Update esbuild(1) man page to 0.20.1

 -- Anthony Fok <foka@debian.org>  Wed, 21 Feb 2024 09:02:31 -0700

golang-github-evanw-esbuild (0.19.12-2) unstable; urgency=medium

  * Add patch to accommodate TestGradient differences on ppc64le and s390x
    in hsl longer hue interpolation test results;
    see https://github.com/evanw/esbuild/issues/3650

 -- Anthony Fok <foka@debian.org>  Fri, 16 Feb 2024 01:11:50 -0700

golang-github-evanw-esbuild (0.19.12-1) unstable; urgency=medium

  * New upstream version 0.19.12
  * Update esbuild(1) man page to 0.19.12
  * Remove 0002-fix-3569-incorrect-ToInt32-behavior-on-riscv64.patch
    which was previously backported.

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jan 2024 05:30:29 -0700

golang-github-evanw-esbuild (0.19.8-3) unstable; urgency=medium

  * Apply upstream fix #3569: incorrect ToInt32 behavior on riscv64.
    Fixes FTBFS due to test error on riscv64.
    Thanks to upstream author Evan Wallace for the fix in commit f6eae0c!

 -- Anthony Fok <foka@debian.org>  Wed, 03 Jan 2024 12:45:55 -0700

golang-github-evanw-esbuild (0.19.8-2) unstable; urgency=medium

  [ Yadd ]
  * Fix armel install (Closes: #1058784)

 -- Anthony Fok <foka@debian.org>  Sun, 31 Dec 2023 04:37:34 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -10,8 +9,8 @@
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
                golang-src,
-Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
-                    npm [!armel !hurd-i386 !powerpc],
+Build-Depends-Arch: nodejs [!hurd-i386 !powerpc],
+                    npm [!hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -40,9 +39,9 @@
 Section: javascript
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: nodejs [!armel !hurd-i386 !powerpc]
-Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
-          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
+Recommends: nodejs [!hurd-i386 !powerpc]
+Provides: node-esbuild (= ${binary:Version}) [!hurd-i386 !powerpc],
+          node-esbuild-wasm (= ${binary:Version}) [!hurd-i386 !powerpc],
           ${nodejs:Provides}
 Static-Built-Using: ${misc:Static-Built-Using}
 Built-Using: ${misc:Built-Using}

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \
       amd64 => "x64", i386 => "ia32", \
-      arm64 => "arm64", armhf => "arm", armel => "armel", \
+      arm64 => "arm64", armhf => "arm", armel => "arm", \
       mips64el => "mips64el", \
       ppc64el => "ppc64", \
       riscv64 => "riscv64", \

## golang-github-evanw-esbuild 0.20.2

=== Makefile ===
--- 
+++ 
@@ -107,11 +107,14 @@
 node-unref-tests: | scripts/node_modules
 	node scripts/node-unref-tests.js
 
-lib-typecheck: lib-typecheck-node lib-typecheck-deno
+lib-typecheck: lib-typecheck-node lib-typecheck-node-nolib lib-typecheck-deno
 
 lib-typecheck-node: | lib/node_modules
 	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig.json
 
+lib-typecheck-node-nolib: | lib/node_modules
+	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig-nolib.json
+
 lib-typecheck-deno: lib/deno/lib.deno.d.ts | lib/node_modules
 	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig-deno.json

=== debian/changelog ===
golang-github-evanw-esbuild (0.20.2-1) unstable; urgency=medium

  * New upstream version 0.20.2
  * Update esbuild(1) man page to 0.20.2

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 20:28:41 -0600

## golang-github-evanw-esbuild 0.21.4

=== debian/changelog ===
golang-github-evanw-esbuild (0.21.4-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 03 Jul 2025 12:58:18 +1000

golang-github-evanw-esbuild (0.21.4-1) unstable; urgency=medium

  * New upstream version 0.21.4
  * Update esbuild(1) man page to 0.21.4
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 14 Jul 2024 06:25:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -12,7 +13,7 @@
 Build-Depends-Arch: nodejs [!hurd-i386 !powerpc],
                     npm [!hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
 Homepage: https://github.com/evanw/esbuild

## golang-github-evanw-esbuild 0.23.0

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 	@$(MAKE) --no-print-directory -j6 test-common
 
 # These tests are for development
-test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests
+test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests decorator-tests
 
 # These tests are for release (the extra tests are not included in "test" because they are pretty slow)
 test-all:
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.20\.12 ' || (echo 'Please install Go version 1.20.12' && false)
+	@go version | grep ' go1\.22\.4 ' || (echo 'Please install Go version 1.22.4' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -85,6 +85,16 @@
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/end-to-end-tests.js
 
+# Note: The TypeScript source code for these tests was copied from the repo
+# https://github.com/evanw/decorator-tests, which is the official location of
+# the source code for these tests. Any changes to these tests should be made
+# there first and then copied here afterward.
+decorator-tests: esbuild
+	./esbuild scripts/decorator-tests.ts --target=es2022 --outfile=scripts/decorator-tests.js
+	node scripts/decorator-tests.js
+	node scripts/decorator-tests.js | grep -q 'All checks passed'
+	git diff --exit-code scripts/decorator-tests.js
+
 js-api-tests: version-go
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/js-api-tests.js
@@ -229,13 +239,3 @@
 	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
 
 	# Test install without scripts
-	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && echo 'enableScripts: false' > .yarnrc.yml && yarn set version berry && yarn add esbuild
-	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
-	# Test CI reinstall
-	cd e2e-yb && yarn install --immutable
-	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
-	# Test rebuild
-	cd e2e-yb && yarn rebuild && yarn rebuild
-	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
-
-	# Test install without optional dependencies

=== debian/changelog ===
golang-github-evanw-esbuild (0.23.0-1) unstable; urgency=medium

  * New upstream version 0.23.0
  * Update esbuild(1) man page to 0.23.0

 -- Anthony Fok <foka@debian.org>  Sun, 01 Sep 2024 06:24:08 -0600

## golang-github-evanw-esbuild 0.25.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.22\.4 ' || (echo 'Please install Go version 1.22.4' && false)
+	@go version | grep ' go1\.23\.5 ' || (echo 'Please install Go version 1.23.5' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -69,6 +69,7 @@
 	@echo '✅ deno tests passed' # I couldn't find a Deno API for telling when tests have failed, so I'm doing this here instead
 	deno eval 'import { transform, stop } from "file://$(shell pwd)/deno/mod.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"
 	deno eval 'import { transform, stop } from "file://$(shell pwd)/deno/wasm.js"; console.log((await transform("1+2")).code); stop()' | grep "1 + 2;"
+	deno run -A './deno/mod.js' # See: https://github.com/evanw/esbuild/pull/3917
 
 test-deno-windows: esbuild platform-deno
 	ESBUILD_BINARY_PATH=./esbuild.exe deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix wasm library path with Go1.24 (Closes: #1096251)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 06 Mar 2025 10:46:16 +0800

golang-github-evanw-esbuild (0.25.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.0
  * Update esbuild(1) man page to 0.25.0 (no other change)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 13 Feb 2025 23:34:30 +0100

## golang-github-evanw-esbuild 0.25.1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.23\.5 ' || (echo 'Please install Go version 1.23.5' && false)
+	@go version | grep ' go1\.23\.7 ' || (echo 'Please install Go version 1.23.7' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.1
  * Define NPM_DIR for loong64. Closes: #1100772

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Mar 2025 15:42:48 +0100

## golang-github-evanw-esbuild 0.25.2

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.2

 -- Jérémy Lal <kapouer@melix.org>  Sun, 30 Mar 2025 21:29:05 +0200

## golang-github-evanw-esbuild 0.25.3

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.3

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Apr 2025 09:53:59 +0200

## golang-github-evanw-esbuild 0.25.5

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.23\.7 ' || (echo 'Please install Go version 1.23.7' && false)
+	@go version | grep ' go1\.23\.8 ' || (echo 'Please install Go version 1.23.8' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.5

 -- Jérémy Lal <kapouer@melix.org>  Tue, 27 May 2025 08:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,12 @@
 
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \
-      amd64 => "x64", i386 => "ia32", \
-      arm64 => "arm64", armhf => "arm", armel => "arm", \
+      amd64 => "x64", \
+      i386 => "ia32", \
+      arm64 => "arm64", \
+      armhf => "arm", \
+      armel => "arm", \
+      loong64 => "loong64", \
       mips64el => "mips64el", \
       ppc64el => "ppc64", \
       riscv64 => "riscv64", \

## golang-github-evanw-esbuild 0.25.9

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.9-2) unstable; urgency=medium

  * Mention other types in long description
  * rules: use node instead of hardcoded map. Lowercase locals.
  * B-D: drop useless npm

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Aug 2025 10:55:59 +0200

golang-github-evanw-esbuild (0.25.9-1) unstable; urgency=medium

  * New upstream version 0.25.9
  * Refresh patch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Aug 2025 10:36:08 +0200

## golang-github-evanw-esbuild 0.25.10

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.10-1) unstable; urgency=medium

  * New upstream version 0.25.10
  * Update watch version 5

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Sep 2025 09:13:51 +0200

## golang-github-evanw-esbuild 0.25.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 ESBUILD_VERSION = $(shell cat version.txt)
+GO_VERSION = $(shell cat go.version)
 
 # Strip debug info
 GO_FLAGS += "-ldflags=-s -w"
@@ -20,7 +21,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.23\.8 ' || (echo 'Please install Go version 1.23.8' && false)
+	@go version | grep -F " go$(GO_VERSION) " || (echo 'Please install Go version $(GO_VERSION)' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -50,7 +51,7 @@
 
 no-filepath:
 	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
-		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)
+		echo 'error: Use of "path/filepath" is disallowed. See https://golang.org/issue/43768' && false)
 
 # This uses "env -i" to run in a clean environment with no environment
 # variables. It then adds some environment variables back as needed.
@@ -239,4 +240,3 @@
 	cd e2e-yb && yarn rebuild && yarn rebuild
 	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
 
-	# Test install without scripts

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.11-1) unstable; urgency=medium

  * New upstream version 0.25.11

 -- Jérémy Lal <kapouer@melix.org>  Wed, 15 Oct 2025 09:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
                golang-src,
 Build-Depends-Arch: nodejs [!hurd-i386 !powerpc],
-                    npm [!hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -25,7 +24,7 @@
          ${misc:Depends}
 Description: extremely fast JavaScript bundler and minifier (library)
  esbuild is a JavaScript bundler and minifier.  It packages up
- JavaScript and TypeScript code for distribution on the web.
+ JavaScript, TypeScript, JSX, CSS, and others, for distribution on the web.
  .
  Why build another JavaScript build tool?  The current build tools for the web
  are at least an order of magnitude slower than they should be.  It is hoped
@@ -47,7 +46,7 @@
 Built-Using: ${misc:Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up
- JavaScript and TypeScript code for distribution on the web.
+ JavaScript, TypeScript, JSX, CSS, and others, for distribution on the web.
  .
  Why build another JavaScript build tool?  The current build tools for the web
  are at least an order of magnitude slower than they should be.  It is hoped

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_GOLANG_INSTALL_EXTRA := \
	internal/bundler_tests/snapshots \
	internal/resolver/testExpectations.json

# The Node.js magic was contributed by Yadd <yadd@debian.org> in Dec 2021;
# see commit d7a16741f9df8c71f17a1ccdc3babbaa5505fdf5 for more information.
# later updated to just use process.arch to avoid hard-coding the mapping

node_arch = $(shell node -p process.arch || echo "")

npm_dir = @esbuild/linux-$(node_arch)

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifneq ($(shell command -v node),)
execute_after_dh_auto_build-arch:
	ln -sf _build/bin/esbuild .
	# Generate npm/esbuild/*
	node scripts/esbuild.js ./esbuild --neutral
	# Generate npm/esbuild-wasm/*
	# See also set_go_env sub in dh-golang
	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build GO111MODULE=off GOPROXY=off \
	    node scripts/esbuild.js ./esbuild --wasm

execute_after_dh_auto_test-arch:
	node -e 'require("./npm/esbuild")'
endif

ifneq ($(node_arch),)
execute_after_dh_install-arch:
	install -d debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/@esbuild
	cp -a npm/$(npm_dir) debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/@esbuild/
	find debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/ -name '*.md' -delete || true

override_dh_link-arch:
	dh_link --package=esbuild usr/bin/esbuild \
	    usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/$(npm_dir)/bin/esbuild

override_dh_gencontrol-arch:
	dh_gencontrol -- -Vnodejs:Provides="node-esbuild-linux-$(node_arch)"
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: evanw
Project: esbuild

## golang-github-evanw-esbuild 0.27.0

=== debian/changelog ===
golang-github-evanw-esbuild (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Drop patch applied upstream

 -- Jérémy Lal <kapouer@melix.org>  Tue, 02 Dec 2025 00:18:17 +0100
